Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface Metadata

All Known Subinterfaces:
  MetadataServiceMBean

    public interface Metadata

Metadata interface. Provides programmatic access to the contents of DSP metadata artifacts, namely DS, XSD, WS and WS policy files. Access is read-only.

Method Summary
`java.util.Collection` | `findFunctionCollectionRefs(java.lang.String scope, SearchCriteria criteria)`
`java.lang.String` | `generateReport(ReportSpec spec)`
`java.util.Collection` | `getDependencyRefs(NodeRef reference)` This call supports deferred resolution of metadata artifact dependencies.
`java.util.Collection` | `getDependencyRefs(NodeRef reference, ImpactAnalysisOptions options)` This call supports deferred resolution of metadata artifact dependencies.
`java.util.Collection` | `getDependentRefs(NodeRef reference)` This call supports deferred resolution of metadata artifact dependents.
`java.util.Collection` | `getDependentRefs(NodeRef reference, ImpactAnalysisOptions options)` This call supports deferred resolution of metadata artifact dependents.
`Function` | `getFunction(FunctionRef reference)` This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.
`FunctionCollection` | `getFunctionCollection(FunctionCollectionRef reference)` This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.
`java.util.Collection` | `getFunctionCollections(java.util.Collection references)`
`java.util.Collection` | `getFunctions(java.util.Collection references)`
`RepositoryNode` | `getRepositoryRoot()` The root of the repository tree.
`Schema` | `getSchema(SchemaRef reference)` This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.
`java.util.Collection` | `getSchemas(java.util.Collection references)`
`WebService` | `getWebService(WebServiceRef reference)` This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.
`java.util.Collection` | `getWebServicePolicies(java.util.Collection references)`
`WebServicePolicy` | `getWebServicePolicy(WebServicePolicyRef reference)` This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.
`java.util.Collection` | `getWebServices(java.util.Collection references)`

Method Detail

### getRepositoryRoot

    RepositoryNode getRepositoryRoot()

  The root of the repository tree. Clients may use this call to obtain access to the hierarchical, navigable view of the metadata artifacts, reflecting the repository stucture.

  Returns:
    The repository root.

### findFunctionCollectionRefs

    java.util.Collection findFunctionCollectionRefs(java.lang.String scope,
                                                    SearchCriteria criteria)

  Parameters:
    `scope` - The prefix that all the LD locators in the result should match. It can be used to limit the scope under particular subfolders (e.g. by setting the scope to "ld:d1/"). It may be `null`.
    `criteria` - Used to specify name-based and/or content-based filters that should be used during the search. It may be `null`.
  Returns:
    A collection of references to function collections that match the specified scope and criteria. Any function collections whose loading resulted in errors are ignored.

### generateReport

    java.lang.String generateReport(ReportSpec spec)

  Parameters:
    `spec` - A user-defined specification determining the contents of the metadata report.
  Returns:
    A metadata report for the given specification as HTML.

### getDependencyRefs

    java.util.Collection getDependencyRefs(NodeRef reference)
                                           throws com.bea.ld.MetadataException

  This call supports deferred resolution of metadata artifact dependencies.

  Depending on the kind of metadata artifact specified by `reference`, the results of this call are as follows:

  - For `FunctionCollection` instances, the resulting collection includes the references to all function collections and all schemas upon which this function collection depends.
  - For `Schema` instances, the resulting collection includes the references to all schemas upon which this schema depends.
  - For `Function` instances, the resulting collection includes the references to all functions upon which this function depends and all schemas upon which the signature of this function depends.
  - For `WebService` instances, the resulting collection includes the references to all function collections and all web service policies upon which this function collection depends.
  - For `WebServicePolicy` instances, this method returns an empty collection.

  Parameters:
    `reference` - The reference to a metadata artifact. May not be `null`.
  Returns:
    A collection of references indicating the dependencies of the artifact correspoding to the specified reference. May be empty but not `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed.
    `java.lang.IllegalArgumentException` - If `reference` is `null`.
  See Also:
    `com.bea.ld.metadata.EntityNode#getDependencyRefs() EntityNode}`

### getDependencyRefs

    java.util.Collection getDependencyRefs(NodeRef reference,
                                           ImpactAnalysisOptions options)
                                           throws com.bea.ld.MetadataException

  This call supports deferred resolution of metadata artifact dependencies.

  Depending on the kind of metadata artifact specified by `reference`, the results of this call are as follows:

  - For `FunctionCollection` instances, the resulting collection includes the references to all function collections and all schemas upon which this function collection depends.
  - For `Schema` instances, the resulting collection includes the references to all schemas upon which this schema depends.
  - For `Function` instances, the resulting collection includes the references to all functions upon which this function depends and all schemas upon which the signature of this function depends.
  - For `WebService` instances, the resulting collection includes the references to all function collections and all web service policies upon which this function collection depends.
  - For `WebServicePolicy` instances, this method returns an empty collection.

  Parameters:
    `reference` - The reference to a metadata artifact. May not be `null`.
    `options` - A set of flags providing settings used by dependency analysis. May not be `null`.
  Returns:
    A collection of references indicating the dependencies of the artifact correspoding to the specified reference. May be empty but not `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed.
    `java.lang.IllegalArgumentException` - If `reference` or `options` is `null`.
  See Also:
    `com.bea.ld.metadata.EntityNode#getDependencyRefs() EntityNode}`, `com.bea.ld.metadata.ImpactAnalysisOptions ImpactAnalysisOptions}`

### getDependentRefs

    java.util.Collection getDependentRefs(NodeRef reference)
                                          throws com.bea.ld.MetadataException

  This call supports deferred resolution of metadata artifact dependents.

  Depending on the kind of metadata artifact specified by `reference`, the results of this call are as follows:

  - For `FunctionCollection` instances, the resulting collection includes the references to all function collections and web services that depend on the specified function collection.
  - For `Schema` instances, this method is not supported.
  - For `Function` instances, the resulting collection includes the references to all functions that depend on the specified function.
  - For `WebService` instances, this method return an empty collection.
  - For `WebServicePolicy` instances, the resulting collection includes the references to all the web services that depend on the specified web service policy.

  Parameters:
    `reference` - The reference to a metadata artifact. May not be `null`.
  Returns:
    A collection of references indicating the dependents of the node correspoding to the specified reference. May be empty but not `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed.
    `java.lang.IllegalArgumentException` - If `reference` is `null`.
  See Also:
    `com.bea.ld.metadata.EntityNode.getDependentRefs() EntityNode}`

### getDependentRefs

    java.util.Collection getDependentRefs(NodeRef reference,
                                          ImpactAnalysisOptions options)
                                          throws com.bea.ld.MetadataException

  This call supports deferred resolution of metadata artifact dependents.

  Depending on the kind of metadata artifact specified by `reference`, the results of this call are as follows:

  - For `FunctionCollection` instances, the resulting collection includes the references to all function collections and web services that depend on the specified function collection.
  - For `Schema` instances, this method is not supported.
  - For `Function` instances, the resulting collection includes the references to all functions that depend on the specified function.
  - For `WebService` instances, this method return an empty collection.
  - For `WebServicePolicy` instances, the resulting collection includes the references to all the web services that depend on the specified web service policy.

  Parameters:
    `reference` - The reference to a metadata artifact. May not be `null`.
    `options` - A set of flags providing settings used by dependent analysis.
  Returns:
    A collection of references indicating the dependents of the node correspoding to the specified reference. May be empty but not `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed.
    `java.lang.IllegalArgumentException` - If `reference` or `options` is `null`.
  See Also:
    `com.bea.ld.metadata.EntityNode.getDependentRefs() EntityNode}`, `com.bea.ld.metadata.ImpactAnalysisOptions ImpactAnalysisOptions}`

### getFunctionCollections

    java.util.Collection getFunctionCollections(java.util.Collection references)
                                                throws com.bea.ld.MetadataException

  Parameters:
    `references` - A collection of function collection references. If `null` this method returns an empty collection.
  Returns:
    A collection of function collection nodes corresponding to the specified references. The resulting nodes are returned in the order of the specified references.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of at least one of the specified nodes failed, or if one of the specified references is not a function collection reference.

### getSchemas

    java.util.Collection getSchemas(java.util.Collection references)
                                    throws com.bea.ld.MetadataException

  Parameters:
    `references` - A collection of schema references. If `null` this method returns an empty collection.
  Returns:
    A collection of schema nodes corresponding to the specified references. The resulting nodes are returned in the order of the specified references.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of at least one of the specified nodes failed, or if one of the specified references is not a schema reference.

### getWebServices

    java.util.Collection getWebServices(java.util.Collection references)
                                        throws com.bea.ld.MetadataException

  Parameters:
    `references` - A collection of webservice references. If `null` this method returns an empty collection.
  Returns:
    A collection of webservice nodes corresponding to the specified references. The resulting nodes are returned in the order of the specified references.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of at least one of the specified nodes failed, or if one of the specified references is not a webservice reference.

### getWebServicePolicies

    java.util.Collection getWebServicePolicies(java.util.Collection references)
                                               throws com.bea.ld.MetadataException

  Parameters:
    `references` - A collection of webservice policy references. If `null` this method returns an empty collection.
  Returns:
    A collection of webservice policy nodes corresponding to the specified references. The resulting nodes are returned in the order of the specified references.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of at least one of the specified nodes failed, or if one of the specified references is not a webservice policy reference.

### getFunctions

    java.util.Collection getFunctions(java.util.Collection references)
                                      throws com.bea.ld.MetadataException

  Parameters:
    `references` - A collection of function references. If `null` this method returns an empty collection.
  Returns:
    A collection of function nodes corresponding to the specified references. The resulting nodes are returned in the order of the specified references.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of at least one of the specified nodes failed, or if one of the specified references is not a function reference.

### getFunctionCollection

    FunctionCollection getFunctionCollection(FunctionCollectionRef reference)
                                             throws com.bea.ld.MetadataException

  This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.

  Parameters:
    `reference` - A function collection reference.
  Returns:
    A function collection node corresponding to the specified reference. `null` if reference is `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed, or if the specified reference is not a function collection reference.

### getSchema

    Schema getSchema(SchemaRef reference)
                     throws com.bea.ld.MetadataException

  This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.

  Parameters:
    `reference` - A schema reference.
  Returns:
    A schema node corresponding to the specified reference. `null` if reference is `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed, or if the specified reference is not a schema reference.

### getFunction

    Function getFunction(FunctionRef reference)
                         throws com.bea.ld.MetadataException

  This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.

  Parameters:
    `reference` - A function reference.
  Returns:
    A function node corresponding to the specified reference. `null` if reference is `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed, or if the specified reference is not a function reference.

### getWebService

    WebService getWebService(WebServiceRef reference)
                             throws com.bea.ld.MetadataException

  This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.

  Parameters:
    `reference` - A webservice reference.
  Returns:
    A webservice node corresponding to the specified reference. `null` if reference is `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed, or if the specified reference is not a webservice reference.

### getWebServicePolicy

    WebServicePolicy getWebServicePolicy(WebServicePolicyRef reference)
                                         throws com.bea.ld.MetadataException

  This is a convenience singleton method, provided in addition to `the collection method` for the case when the collection parameter is a singleton.

  Parameters:
    `reference` - A webservice policy reference.
  Returns:
    A webservice policy node corresponding to the specified reference. `null` if reference is `null`.
  Throws:
    `com.bea.ld.MetadataException` - If the introspection of the specified node failed, or if the specified reference is not a webservice policy reference.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.